aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2016-11-04 19:01:52 +0200
committerTimo Teräs <timo.teras@iki.fi>2016-11-04 19:04:35 +0200
commit4931448865da576d2dd62ddb328b0a631361ef35 (patch)
tree7d41b059a986bac0092717b662d0683a7cc8bcbd
parentfbaa29e60dadca4224fa90384237d57eb101c376 (diff)
downloadaports-4931448865da576d2dd62ddb328b0a631361ef35.tar.bz2
aports-4931448865da576d2dd62ddb328b0a631361ef35.tar.xz
testing/hplip: revive from unmaintained, and upgrade to new version
fixes #6330
-rw-r--r--testing/hplip/APKBUILD48
-rw-r--r--testing/hplip/disable_upgrade.patch (renamed from unmaintained/hplip/disable_upgrade.patch)0
-rw-r--r--testing/hplip/fix-includes.patch20
-rw-r--r--unmaintained/hplip/APKBUILD56
4 files changed, 68 insertions, 56 deletions
diff --git a/testing/hplip/APKBUILD b/testing/hplip/APKBUILD
new file mode 100644
index 000000000..fd18dd4c5
--- /dev/null
+++ b/testing/hplip/APKBUILD
@@ -0,0 +1,48 @@
+# Maintainer:
+# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+
+pkgname=hplip
+pkgver=3.16.10
+pkgrel=0
+pkgdesc="Drivers for HP printers"
+arch=all
+url="http://hplipopensource.com"
+license="GPL"
+depends="python py-dbus"
+makedepends="libjpeg-turbo-dev net-snmp-dev cups-dev libusb-dev python-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ fix-includes.patch
+ disable_upgrade.patch"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr \
+ --disable-qt4 \
+ --disable-scan-build \
+ --disable-fax-build \
+ --disable-dbus-build \
+ --enable-cups-ppd-install \
+ --enable-foomatic-ppd-install \
+ --enable-foomatic-drv-install \
+ || return 1
+ make || return 1
+}
+
+package() {
+ make -j1 -C "$builddir" DESTDIR="$pkgdir" install || return 1
+ cd "$pkgdir"
+ rm -rf etc/sane.d etc/xdg usr/share/hal etc/init.d etc/udev
+}
+
+md5sums="dd3bf0ecd410e6961abd86407b7f802f hplip-3.16.10.tar.gz
+a9cd9a64bc4e1ba14ef221efdcb0d940 fix-includes.patch
+65bddd5951bd2d12a26bbf7b51bcab27 disable_upgrade.patch"
+sha256sums="45b44e0334f76069511b0b2a40885a12d055013bc95a62250de5d1abc10dee84 hplip-3.16.10.tar.gz
+9a1d8b509d7bcacb03895529e3c6c83704ea784444bf0deae75ac59feb9e32b2 fix-includes.patch
+b3f8d91a07216e6aad4dbfdb79ae19496b03c29f56444059b9b93a32c86ceb8e disable_upgrade.patch"
+sha512sums="2aa8cdd7ec0aa042f4c159f4db6bf80e0cc4ffd30f060814d44fcce2f2800dc0195c26ccc6f8d10dc9c62b3fcbc0befcf68f3ad6a5a81f63ab6a26a25686bbad hplip-3.16.10.tar.gz
+173f0c2bbf0daefc717282bf125d3fd94b3914da0754078c45b58b09ab841672aae9238ca8fc0448486a871e40fc50f960da17c1e07ad3f04053d217ed634498 fix-includes.patch
+57e14c581e82a0dd44344524dc4eb4d845843cf0775b60475541cabfb9d67a4fdab501be3977f8ca9888fbbee4d0392e6068c788e7a85cf4c1add5848be21ae7 disable_upgrade.patch"
diff --git a/unmaintained/hplip/disable_upgrade.patch b/testing/hplip/disable_upgrade.patch
index f95b4dfe4..f95b4dfe4 100644
--- a/unmaintained/hplip/disable_upgrade.patch
+++ b/testing/hplip/disable_upgrade.patch
diff --git a/testing/hplip/fix-includes.patch b/testing/hplip/fix-includes.patch
new file mode 100644
index 000000000..4389125fd
--- /dev/null
+++ b/testing/hplip/fix-includes.patch
@@ -0,0 +1,20 @@
+diff -ru hplip-3.16.10.orig/protocol/discovery/mdns.c hplip-3.16.10/protocol/discovery/mdns.c
+--- hplip-3.16.10.orig/protocol/discovery/mdns.c 2016-10-21 13:48:34.000000000 +0300
++++ hplip-3.16.10/protocol/discovery/mdns.c 2016-11-03 14:41:38.828298853 +0200
+@@ -24,10 +24,15 @@
+ Author: Sanjay Kumar
+ \*****************************************************************************/
+
+-//#include <stdio.h>
++#include <stdio.h>
++#include <ctype.h>
++#include <fcntl.h>
++#include <unistd.h>
+ #include <string.h>
+ #include <syslog.h>
++#include <malloc.h>
+ #include <sys/socket.h>
++#include <sys/select.h>
+ #include <netinet/in.h>
+ #include <netdb.h>
+ #include <arpa/inet.h>
diff --git a/unmaintained/hplip/APKBUILD b/unmaintained/hplip/APKBUILD
deleted file mode 100644
index a8e6fe96f..000000000
--- a/unmaintained/hplip/APKBUILD
+++ /dev/null
@@ -1,56 +0,0 @@
-# Maintainer:
-# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
-
-pkgname=hplip
-pkgver=3.14.3
-pkgrel=2
-pkgdesc='Drivers for HP printers'
-arch=all
-url='http://hplipopensource.com'
-license='GPL'
-depends='python py-dbus'
-makedepends='libjpeg-turbo-dev net-snmp-dev cups-dev libusb-dev python-dev'
-subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
- disable_upgrade.patch"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-
-prepare() {
- local i
- cd "$_builddir"
- update_config_sub || return 1
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --disable-qt4 \
- --disable-scan-build \
- --disable-fax-build \
- --disable-dbus-build \
- --enable-cups-ppd-install \
- --enable-foomatic-ppd-install \
- --enable-foomatic-drv-install \
- || return 1
- make || return 1
-}
-
-package() {
- make -C "$_builddir" DESTDIR="$pkgdir" install || return 1
-
- cd "$pkgdir"
- rm -rf etc/sane.d etc/xdg usr/share/hal etc/init.d etc/udev
-}
-
-md5sums="a0ae59a75d202b92738dc24610b98428 hplip-3.14.3.tar.gz
-65bddd5951bd2d12a26bbf7b51bcab27 disable_upgrade.patch"
-sha256sums="1805b103639b51b9d908921e1e77db66c6e78b792aa51e405a5415e8e1c55e6e hplip-3.14.3.tar.gz
-b3f8d91a07216e6aad4dbfdb79ae19496b03c29f56444059b9b93a32c86ceb8e disable_upgrade.patch"
-sha512sums="c51ee7ff1255d56b271a2d2072fb7cdf62ccece323fe4814cdfb2a93fa97144dd83343f09bc5fdcc7e757c3ba16d3158c239689e0324fb2d9295917f94153dea hplip-3.14.3.tar.gz
-57e14c581e82a0dd44344524dc4eb4d845843cf0775b60475541cabfb9d67a4fdab501be3977f8ca9888fbbee4d0392e6068c788e7a85cf4c1add5848be21ae7 disable_upgrade.patch"